package cn.iocoder.yudao.module.remote.controller.admin.robot.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Data
public class RemoteRobotChangeModeDTO {
    @Schema(description = "远遥模式(0:自动模式, 1:手动模式, 2:自由模式)")
    @NotNull(message = "请选择远遥模式")
    @Max(value = 2,message = "请选择远遥模式")
    @Min(value = 0,message = "请选择远遥模式")
    private Integer remoteMode = 0;

    @Schema(description = "车辆编号")
    @NotEmpty(message = "请选择车辆编号")
    private String robotNo ;
}
