package cn.iocoder.yudao.module.system.api.robot.dto;

import lombok.Data;

@Data
public class RobotObstaclesStatusDTO {

    /**
     * mac地址
     */
    public String mac;

    /**
     * true表示有障碍物，false表示没有障碍物
     */
    public Boolean obstacles;

    /**
     * 左前方障碍物距离 float，单位是米
     */
    private String frontLeft;

    /**
     * 右前方障碍物距离 float，单位是米
     */
    private String frontRight;

    /**
     * 左后方障碍物距离 float，单位是米
     */
    private String reaLeft;

    /**
     * 右后方障碍物距离 float，单位是米
     */
    private String reaRight;

    /**
     * 正后方障碍物距离 float，单位是米
     */
    private String rearCenter;
}
