package cn.iocoder.yudao.module.system.controller.admin.cycle.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 循环任务点位 Response VO")
@Data
@ExcelIgnoreUnannotated
public class TaskCycleRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "9553")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "机器人任务主表id", example = "2231")
    @ExcelProperty("机器人任务主表id")
    private Long robotTaskId;

    @Schema(description = "ware_position_map_item的id", example = "923")
    @ExcelProperty("ware_position_map_item的id")
    private Long mapItemId;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}