package cn.iocoder.yudao.module.system.dal.mysql.informationmapassociation;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.system.dal.dataobject.informationmapassociation.InformationMapAssociationDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.system.controller.admin.informationmapassociation.vo.*;

/**
 * 设备地图关联 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface InformationMapAssociationMapper extends BaseMapperX<InformationMapAssociationDO> {

    default PageResult<InformationMapAssociationDO> selectPage(InformationMapAssociationPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<InformationMapAssociationDO>()
                .eqIfPresent(InformationMapAssociationDO::getPositionMapId, reqVO.getPositionMapId())
                .eqIfPresent(InformationMapAssociationDO::getRobotInformationId, reqVO.getRobotInformationId())
                .betweenIfPresent(InformationMapAssociationDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(InformationMapAssociationDO::getId));
    }

}